[arch-commits] Commit in perl/trunk (4 files)

Kevin Piché kevin at archlinux.org
Mon May 10 00:55:05 UTC 2010


    Date: Sunday, May 9, 2010 @ 20:55:05
  Author: kevin
Revision: 79992

upgpkg: perl 5.12.0-1
Update to 5.12.0.  Fixed FS#13808, 17402, and 19136

Added:
  perl/trunk/ChangeLog
Modified:
  perl/trunk/PKGBUILD
  perl/trunk/perlbin.sh
Deleted:
  perl/trunk/perl-5.10.1-archlinux-inc-order.patch

---------------------------------------+
 ChangeLog                             |   16 +++++
 PKGBUILD                              |   29 ++++-----
 perl-5.10.1-archlinux-inc-order.patch |  101 --------------------------------
 perlbin.sh                            |   13 +++-
 4 files changed, 43 insertions(+), 116 deletions(-)

Added: ChangeLog
===================================================================
--- ChangeLog	                        (rev 0)
+++ ChangeLog	2010-05-10 00:55:05 UTC (rev 79992)
@@ -0,0 +1,16 @@
+
+2010-05-09  kevin  <kevin at archlinux.org>
+
+    * perl 5.12.0-1
+    - Modified perlbin.sh to only add existing dirs to PATH.  Fixes FS#17402,
+      path points to non-existant directories 
+
+
+2010-05-07  kevin  <kevin at archlinux.org>
+
+    - Added this changelog.
+    - Added -Dinc_version_list=none to fix FS#19136, double entry in @INC.
+      This removes the duplicates and versioned directory entries.
+    - Change scriptdirs to /usr/lib/perl5/{core,vendor,site}_perl/bin to fix
+      Fix FS#13808, binaries don't follow FHS.
+

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-05-09 23:43:19 UTC (rev 79991)
+++ PKGBUILD	2010-05-10 00:55:05 UTC (rev 79992)
@@ -3,16 +3,15 @@
 # Contributor: judd <jvinet.zeroflux.org>
 # Contributor: francois <francois.archlinux.org> 
 pkgname=perl
-pkgver=5.10.1
-pkgrel=5
+pkgver=5.12.0
+pkgrel=1
 pkgdesc="Practical Extraction and Report Language"
 arch=(i686 x86_64)
 license=('GPL' 'PerlArtistic')
 url="http://www.perl.org"
 groups=('base')
 depends=('gdbm' 'db>=4.8' 'coreutils' 'glibc' 'sh')
-source=(http://www.perl.com/CPAN/src/perl-${pkgver}.tar.bz2
-    perlbin.sh perl-5.10.1-archlinux-inc-order.patch)
+source=(http://www.perl.com/CPAN/src/perl-${pkgver}.tar.bz2 perlbin.sh)
 install=perl.install
 provides=(
 perl-ansicolor=2.00 
@@ -132,7 +131,7 @@
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
-  patch -Np0 -i ../perl-5.10.1-archlinux-inc-order.patch || return 1
+  #patch -Np0 -i ../perl-5.10.1-archlinux-inc-order.patch || return 1
 
   if [ "${CARCH}" = "x86_64" ]; then
     # for x86_64
@@ -145,14 +144,15 @@
     -Dinstallprefix=${pkgdir}/usr -Dvendorprefix=/usr \
     -Dprivlib=/usr/share/perl5/core_perl \
     -Darchlib=/usr/lib/perl5/core_perl \
-    -Dsitelib=/usr/share/perl5/site_perl/${pkgver} \
-    -Dsitearch=/usr/lib/perl5/site_perl/${pkgver} \
+    -Dsitelib=/usr/share/perl5/site_perl \
+    -Dsitearch=/usr/lib/perl5/site_perl \
     -Dvendorlib=/usr/share/perl5/vendor_perl \
     -Dvendorarch=/usr/lib/perl5/vendor_perl \
     -Dotherlibdirs=/usr/lib/perl5/current:/usr/lib/perl5/site_perl/current \
-    -Dscriptdir='/usr/bin/perlbin/core' \
-    -Dsitescript='/usr/bin/perlbin/site' \
-    -Dvendorscript='/usr/bin/perlbin/vendor' \
+    -Dscriptdir='/usr/lib/perl5/core_perl/bin' \
+    -Dsitescript='/usr/lib/perl5/site_perl/bin' \
+    -Dvendorscript='/usr/lib/perl5/vendor_perl/bin' \
+    -Dinc_version_list=none \
     -Dman1ext=1perl -Dman3ext=3perl ${arch_opts}
 
   make || return 1
@@ -160,7 +160,10 @@
 
   ### Perl Settings ###
   # Change man page extensions for site and vendor module builds.
+  # Use archlinux email address instead of my own.
   sed -e '/^man1ext=/ s/1perl/1p/' -e '/^man3ext=/ s/3perl/3pm/' \
+      -e "/^cf_email=/ s/'.*'/'kevin at archlinux.org'/" \
+      -e "/^perladmin=/ s/'.*'/'kevin at archlinux.org'/" \
       -i ${pkgdir}/usr/lib/perl5/core_perl/Config_heavy.pl
 
   ### CPAN Settings ###
@@ -180,7 +183,7 @@
                    ${pkgdir}/etc/profile.d/perlbin.sh
 
   (cd ${pkgdir}/usr/bin; mv perl${pkgver} perl)
-  (cd ${pkgdir}/usr/bin/perlbin/core; \
+  (cd ${pkgdir}/usr/lib/perl5/core_perl/bin; \
       ln -sf c2ph pstruct; ln -sf s2p psed)
   grep -Rl "${pkgdir}" ${pkgdir}/usr | \
       xargs sed -i "s^${pkgdir}^^g"
@@ -196,6 +199,4 @@
   find $pkgdir/usr/lib -name *.pod -delete
   find $pkgdir -name .packlist -delete
 }
-md5sums=('82400c6d34f7b7b43d0196c76cd2bbb1'
-         '9c4e3e56d71f123e92a68986df5ea924'
-         '0e4853bd75ee36b8f4c70b78c707b2fa')
+md5sums=('3e15696f4160775a90f6b2fb3ccc98c2' '1aa14b4f24fddc7795f4d679f8c265ec')

Deleted: perl-5.10.1-archlinux-inc-order.patch
===================================================================
--- perl-5.10.1-archlinux-inc-order.patch	2010-05-09 23:43:19 UTC (rev 79991)
+++ perl-5.10.1-archlinux-inc-order.patch	2010-05-10 00:55:05 UTC (rev 79992)
@@ -1,101 +0,0 @@
-Tweak @INC so that the ordering is:
-	site (5.8.8)
-	vendor (all)
-	core (5.8.8)
-	obsolete (pre-5.8.8-9) vendor builds
-
-The rationale being that an admin (via site), or module packager (vendor) can
-chose to shadow core modules when there is a newer version than is included in
-core.
-
-Thanks to Charles Mauch (xterminus) for his work on the initial patch.
-
---- perl.c.orig	2007-12-18 05:47:08.000000000 -0500
-+++ perl.c	2007-12-24 23:15:23.000000000 -0500
-@@ -4748,44 +4748,12 @@
- 
- /* Use the ~-expanded versions of APPLLIB (undocumented),
-     ARCHLIB PRIVLIB SITEARCH SITELIB VENDORARCH and VENDORLIB
-+    Arch Linux: SITEARCH SITELIB VENDORARCH VENDORLIB ARCHLIB PRIVLIB OTHER
- */
- #ifdef APPLLIB_EXP
-     incpush(APPLLIB_EXP, TRUE, TRUE, TRUE, TRUE);
- #endif
- 
--#ifdef ARCHLIB_EXP
--    incpush(ARCHLIB_EXP, FALSE, FALSE, TRUE, TRUE);
--#endif
--#ifdef MACOS_TRADITIONAL
--    {
--	Stat_t tmpstatbuf;
--    	SV * privdir = newSV(0);
--	char * macperl = PerlEnv_getenv("MACPERL");
--	
--	if (!macperl)
--	    macperl = "";
--	
--	Perl_sv_setpvf(aTHX_ privdir, "%slib:", macperl);
--	if (PerlLIO_stat(SvPVX(privdir), &tmpstatbuf) >= 0 && S_ISDIR(tmpstatbuf.st_mode))
--	    incpush(SvPVX(privdir), TRUE, FALSE, TRUE, FALSE);
--	Perl_sv_setpvf(aTHX_ privdir, "%ssite_perl:", macperl);
--	if (PerlLIO_stat(SvPVX(privdir), &tmpstatbuf) >= 0 && S_ISDIR(tmpstatbuf.st_mode))
--	    incpush(SvPVX(privdir), TRUE, FALSE, TRUE, FALSE);
--	
--   	SvREFCNT_dec(privdir);
--    }
--    if (!PL_tainting)
--	incpush(":", FALSE, FALSE, TRUE, FALSE);
--#else
--#ifndef PRIVLIB_EXP
--#  define PRIVLIB_EXP "/usr/local/lib/perl5:/usr/local/lib/perl"
--#endif
--#if defined(WIN32)
--    incpush(PRIVLIB_EXP, TRUE, FALSE, TRUE, TRUE);
--#else
--    incpush(PRIVLIB_EXP, FALSE, FALSE, TRUE, TRUE);
--#endif
--
- #ifdef SITEARCH_EXP
-     /* sitearch is always relative to sitelib on Windows for
-      * DLL-based path intuition to work correctly */
-@@ -4828,6 +4796,40 @@
-     incpush(PERL_VENDORLIB_STEM, FALSE, TRUE, TRUE, TRUE);
- #endif
- 
-+/* Arch Linux: core libs after site and vendor libs. */
-+#ifdef ARCHLIB_EXP
-+    incpush(ARCHLIB_EXP, FALSE, FALSE, TRUE, TRUE);
-+#endif
-+#ifdef MACOS_TRADITIONAL
-+    {
-+	Stat_t tmpstatbuf;
-+    	SV * privdir = newSV(0);
-+	char * macperl = PerlEnv_getenv("MACPERL");
-+	
-+	if (!macperl)
-+	    macperl = "";
-+	
-+	Perl_sv_setpvf(aTHX_ privdir, "%slib:", macperl);
-+	if (PerlLIO_stat(SvPVX(privdir), &tmpstatbuf) >= 0 && S_ISDIR(tmpstatbuf.st_mode))
-+	    incpush(SvPVX(privdir), TRUE, FALSE, TRUE, FALSE);
-+	Perl_sv_setpvf(aTHX_ privdir, "%ssite_perl:", macperl);
-+	if (PerlLIO_stat(SvPVX(privdir), &tmpstatbuf) >= 0 && S_ISDIR(tmpstatbuf.st_mode))
-+	    incpush(SvPVX(privdir), TRUE, FALSE, TRUE, FALSE);
-+	
-+   	SvREFCNT_dec(privdir);
-+    }
-+    if (!PL_tainting)
-+	incpush(":", FALSE, FALSE, TRUE, FALSE);
-+#else
-+#ifndef PRIVLIB_EXP
-+#  define PRIVLIB_EXP "/usr/local/lib/perl5:/usr/local/lib/perl"
-+#endif
-+#if defined(WIN32)
-+    incpush(PRIVLIB_EXP, TRUE, FALSE, TRUE, TRUE);
-+#else
-+    incpush(PRIVLIB_EXP, FALSE, FALSE, TRUE, TRUE);
-+#endif
-+
- #ifdef PERL_OTHERLIBDIRS
-     incpush(PERL_OTHERLIBDIRS, TRUE, TRUE, TRUE, TRUE);
- #endif

Modified: perlbin.sh
===================================================================
--- perlbin.sh	2010-05-09 23:43:19 UTC (rev 79991)
+++ perlbin.sh	2010-05-10 00:55:05 UTC (rev 79992)
@@ -1,2 +1,13 @@
 # Set path to perl scripts.
-export PATH="${PATH}:/usr/bin/perlbin/site:/usr/bin/perlbin/vendor:/usr/bin/perlbin/core"
+
+# Remove the perlbin dirs in the next release.
+scriptdirs="/usr/lib/perl5/site_perl/bin /usr/bin/perlbin/site
+/usr/lib/perl5/vendor_perl/bin /usr/bin/perlbin/vendor
+/usr/lib/perl5/core_perl/bin /usr/bin/perlbin/core"
+
+# Add dirs to path if they exist.
+for currdir in ${scriptdirs}; do
+	[ -d ${currdir} ] && perlpaths=${perlpaths}:${currdir}
+done
+export PATH=${PATH}:$perlpaths
+




More information about the arch-commits mailing list